Package org.opensaml.saml.saml1.core.impl

# Class AuthenticationStatementImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectStatementImpl
org.opensaml.saml.saml1.core.impl.AuthenticationStatementImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthenticationStatement`, `Statement`, `SubjectStatement`

public class AuthenticationStatementImpl extends SubjectStatementImpl implements AuthenticationStatement
A Concrete implementation of the `AuthenticationStatement` Interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Instant`
`authenticationInstant`
Contains the AuthenticationMethod attribute contents.
`private String`
`authenticationMethod`
Contains the AuthenticationMethod attribute contents.
`private final XMLObjectChildrenList<AuthorityBinding>`
`authorityBindings`
Contains the AuthorityBinding subelements.
`private SubjectLocality`
`subjectLocality`
Contains the SubjectLocality subelement.

### Fields inherited from interface org.opensaml.saml.saml1.core.AuthenticationStatement

`AUTHENTICATIONINSTANT_ATTRIB_NAME, AUTHENTICATIONINSTANT_ATTRIB_QNAME, AUTHENTICATIONMETHOD_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, HARDWARE_TOKEN_AUTHN_METHOD, KERBEROS_AUTHN_METHOD, PASSWORD_AUTHN_METHOD, PGP_AUTHN_METHOD, SPKI_AUTHN_METHOD, SRP_AUTHN_METHOD, TLS_CLIENT_AUTHN_METHOD, TYPE_LOCAL_NAME, TYPE_NAME, UNSPECIFIED_AUTHN_METHOD, X509_AUTHN_METHOD, XKMS_AUTHN_METHOD, XML_DSIG_AUTHN_METHOD`

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthenticationStatementImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getAuthenticationInstant()`
Return the contents of the AuthenticationInstant attribute.
`String`
`getAuthenticationMethod()`
Return the contents of the AuthenticationMethod attribute.
`List<AuthorityBinding>`
`getAuthorityBindings()`
Get the list of `AuthorityBinding`s.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`SubjectLocality`
`getSubjectLocality()`
Get the `SubjectLocality`.
`void`
`setAuthenticationInstant(Instant instant)`
Set the contents of the AuthenticationInstant attribute.
`void`
`setAuthenticationMethod(String method)`
Set the contents of the AuthenticationMethod attribute.
`void`
`setSubjectLocality(SubjectLocality locality)`
Set the `SubjectLocality`.

### Methods inherited from class org.opensaml.saml.saml1.core.impl.SubjectStatementImpl

`getSubject, setSubject`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authenticationMethod

@Nullable private String authenticationMethod
Contains the AuthenticationMethod attribute contents.

### authenticationInstant

@Nullable private Instant authenticationInstant
Contains the AuthenticationMethod attribute contents.

### subjectLocality

@Nullable private SubjectLocality subjectLocality
Contains the SubjectLocality subelement.

### authorityBindings

@Nonnull private final XMLObjectChildrenList<AuthorityBinding> authorityBindings
Contains the AuthorityBinding subelements.

## Constructor Details

### AuthenticationStatementImpl

protected AuthenticationStatementImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAuthenticationMethod

@Nullable public String getAuthenticationMethod()
Return the contents of the AuthenticationMethod attribute.

Specified by:
  `getAuthenticationMethod` in interface `AuthenticationStatement`
Returns:
  the authentication method

### setAuthenticationMethod

public void setAuthenticationMethod(@Nullable String method)
Set the contents of the AuthenticationMethod attribute.

Specified by:
  `setAuthenticationMethod` in interface `AuthenticationStatement`
Parameters:
  `method` - the authentication method

### getAuthenticationInstant

@Nullable public Instant getAuthenticationInstant()
Return the contents of the AuthenticationInstant attribute.

Specified by:
  `getAuthenticationInstant` in interface `AuthenticationStatement`
Returns:
  the authentication instant

### setAuthenticationInstant

public void setAuthenticationInstant(@Nullable Instant instant)
Set the contents of the AuthenticationInstant attribute.

Specified by:
  `setAuthenticationInstant` in interface `AuthenticationStatement`
Parameters:
  `instant` - the authentication instant

### getSubjectLocality

@Nullable public SubjectLocality getSubjectLocality()
Get the `SubjectLocality`.

Specified by:
  `getSubjectLocality` in interface `AuthenticationStatement`
Returns:
  the `SubjectLocality`

### setSubjectLocality

public void setSubjectLocality(@Nullable SubjectLocality locality)
Set the `SubjectLocality`.

Specified by:
  `setSubjectLocality` in interface `AuthenticationStatement`
Parameters:
  `locality` - the `SubjectLocality`

### getAuthorityBindings

@Nonnull @Live public List<AuthorityBinding> getAuthorityBindings()
Get the list of `AuthorityBinding`s.

Specified by:
  `getAuthorityBindings` in interface `AuthenticationStatement`
Returns:
  the list of `AuthorityBinding`s

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SubjectStatementImpl`
Returns:
  ordered list of child elements